/*  Copyright (c) 2007-2008 Tomasz Moń
 *  Copyright (c) 2004 Artur Gajda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; under version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses>.
 */

#ifndef CONF_H
#define CONF_H

#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

struct _GrivConfig {
    gchar *nick;
    gchar *user;
    gchar *iface;
    gint gender;
    gint color_r, color_g, color_b;
    gboolean display_colors;
    gint port;
    gboolean run_minimised;
    gint away_timeout;
};

typedef struct _GrivConfig GrivConfig;
extern GrivConfig conf;

void parse_config();
void save_config();

#endif
